// DWBS ------------------------------------------------------------------ DWBS
//
// PLATFORM		: ALL
// PRODUCT		: BIT_DEMON
// VISIBILITY	: PUBLIC
//
// DWBS ------------------------------------------------------------------ DWBS

#include <bdLobby/bdMessageStore/bdMessageTypes/bdTeamWideNotificationMessage.h>

bdTeamWideNotificationMessage::bdTeamWideNotificationMessage(const bdUInt messageType)
:	bdTeamNotificationMessage(messageType),
	m_relevantID(0)
{
	bdMemset(m_relevantName, '\0', sizeof(m_teamName));
}


bdTeamWideNotificationMessage::~bdTeamWideNotificationMessage()
{
}

bdBool bdTeamWideNotificationMessage::deserialize(bdBitBufferRef buffer)
{
	bdBool ok = bdTeamNotificationMessage::deserialize(buffer);
	ok = ok && buffer->readUInt64(m_relevantID);
	ok = ok && buffer->readString(m_relevantName, sizeof(m_relevantName));
	return ok;
}
